<?php

namespace KupShop\ParameterGroupsBundle\Admin;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;

class ParameterGroupsAdminRegister extends AdminRegister implements IAdminRegisterStatic
{
    public static function getMenu(): array
    {
        return [
            static::createMenuItem('productsMenu', [
                'name' => 'ParameterGroups',
                'left' => 's=menu.php&type=ParameterGroups', 'right' => 's=list.php&type=ParameterGroups',
            ]),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('ParameterGroups', [\Modules::PARAMETER_GROUPS], ['PARAM']),
        ];
    }
}
